Subject: Non-member submission from ["Hanson,Gary" <[email-masked]>]]

From: ted brunner <[email-masked]>
Date: Fri, 17 Dec 1999 11:33:57 -0800

-------- Original Message --------

Date: Fri, 17 Dec 1999 09:12:27 -0800 (PST)
From: "Hanson,Gary" <[email-masked]>
To: "Chapman, Ken" <[email-masked]>,
        "C. M. Heard/VVNET, Inc." <[email-masked]>
cc: [email-masked], [email-masked]
Subject: RE: Last Call: The Interfaces Group MIB to Draft Standard
In-Reply-To: <90ABC30C744ED311B16E00500464BEFC344BD6@NTSERVER1>
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII

Ken and Mike,

I am not sure why one would consider instantiating an object
like ifCounterDiscontinuityTime for interfaces that do not
have counters to be "pure dead weight".  We have not found it
to be difficult to achieve implementations that simply report
a value of 0 for those interfaces.  Has this actually been an
oppressive burden on implementations you are familiar with,
or is it an issue for you mainly as a matter of principle?

It seems to me that trying to make this object non-mandatory
at this point is really a gratuitous change with an arguably
small reward, basically a striving for perfection in this MIB
that is quite probably unrealizable.

It seems to me that the same argument could be made about the
ifPhysAddress, ifSpeed, and ifHighSpeed objects, all of which
are mandatory objects at present, but which are certainly less
than meaningful for a number of interface types.  Do you feel
as strongly about those objects being pure dead weight as you
do about the more recently defined ifCounterDiscontinuityTime
object?

If so, do you feel we should make those objects non-mandatory
now as well?  And, if not, why not?

Gary

On Wed, 15 Dec 1999, Chapman, Ken wrote:

> For what it's worth, I agree with Mike.
> 	Ken
> 
> +++++++++++++++++++++++++++++++++++++++++++++++
> Ken Chapman           Unisphere Solutions, Inc.
> Tel: +1-978-614-5322  5 Carlisle Drive
> Fax: +1-978-692-9992  Westford, MA 01886
> Email: [email-masked]
> +++++++++++++++++++++++++++++++++++++++++++++++
> 
> 
> -----Original Message-----
> From: C. M. Heard/VVNET, Inc. [mailto:[email-masked]]
> Sent: Tuesday, December 14, 1999 9:01 PM
> To: Hanson,Gary
> Cc: [email-masked]; [email-masked]
> Subject: Re: Last Call: The Interfaces Group MIB to Draft Standard
> 
> 
> On Tue, 14 Dec 1999, Hanson,Gary wrote:
> >
> > [ ... ] I am not sure that there is a whole lot to be gained from
> > removing the ifCounterDiscontinuityGroup from the MANDATORY-GROUPS
> > list of ifCompliance3.  I agree with Keith's assessment that the
> > object can simply be reported as zero for interfaces that have no
> > counters (we have done so in our agents with little grief), and that
> > defining it as mandatory in the way he did was an expedient way to
> > encourage implementation (even if there had been a more logical way
> > to encourage it for ONLY those interfaces that really needed it,
> > such as what you presented below).
> 
> Gary,
> 
> I agree that the burden on the implementation is small.  Once I've
> written the class to implement ifCounterDiscontinuityTime it costs
> me one line of source code and about 40 bytes of memory per interface
> to instantiate it.  Still, that is pure dead weight for interfaces
> that don't need the object.  The only thing it that leaving it the
> MANDATORY-GROUPS buys us is to make the MIB module a few lines shorter.
> I made the suggestion to change it now since we probably will not have
> another opportunity to do so.
> 
> Regards,
> 
> Mike
> --
> C. M. Heard/VVNET, Inc.
> [email-masked]
>